import 'package:dartz/dartz.dart';
import '../../../core/error/failures.dart';
import '../../entities/share_account.dart';
import '../../repositories/mining_repository.dart';

class GetShareAccount {
  final MiningRepository repository;

  GetShareAccount(this.repository);

  Future<Either<Failure, ShareAccount>> call(String accountSequence) async {
    return await repository.getShareAccount(accountSequence);
  }
}
